Styling for Angular and Ionic Framework

Updated on May 17, 2021
Learn More

Mobiscroll ships with components and styling capabilities that you can use to enhance the look and feel of your content.

Use these features on their own or in conjunction with other Mobiscroll components.

Shipping with useful elements, including:

  • Basic typography styling
  • CSS classes you need for creating easily scannable content
  • Page component with approprite margins and paddings
  • Classes for rendering different media types
  • Icon support
  • Multiple theme support


Styling demos available for other frameworks.

Viewing demos & code for

Angular and Ionic Styling Styling for Angular and Ionic Framework

Styling - Typography

Change demo
Typography
Angular Typography classes for writing content. Includes styling for H1 - H6, paragraphs, font-weight and text alignment. For Angular 22 and Ionic 8.
Copy code

Styling - Content

Change demo
Content
Angular Basic typography demo showing off common styling for content. H1, H2, H3, paragraphs and more. For Angular 22 and Ionic 8.
Copy code

Styling - Media

Change demo
Media
Angular Media styling and positioning examples for images, avatars, videos and more. For Angular 22 and Ionic 8.
Copy code

Styling - Icons

Change demo
Icons
Angular Sample icon usage in Mobiscroll from a collection of more than 2500 icons including multiple icons sets. For Angular 22 and Ionic 8.
Copy code

Styling - Single column

Change demo
Single column
Angular Content example in a centered, single-column layout with the help of the grid system. For Angular 22 and Ionic 8.
Copy code

Styling - Content grid

Change demo
Content grid
Angular 3x3 content grid with summary and link to the full article. Use the grid system to build a responsive layout. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { MbscPageOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    settings: MbscPageOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' '
    };
}
<mbsc-page [options]="settings">
    <div class="mbsc-grid mbsc-padding">
        <div class="mbsc-row mbsc-justify-content-center">
            <div class="mbsc-col-sm-12 mbsc-col-md-10 mbsc-col-xl-8">
                <h3>Weird but true facts about technology</h3>
                <div class="mbsc-row">
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>From fonts to printer ink</h4>
                            <p>
                                Changing fonts can save printer ink. People create different kinds of fonts for all kinds of reasons. The theory is, if you use a 'lighter' font, you'll use slightly less ink per page. With this method you'll likely save about 10 per cent ink.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/changing-fonts-can-save-printer-ink/slideshow/51419400.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>Email before the WWW</h4>
                            <p>
                                There's an interesting clip on YouTube: "How to send an Email – Database – 1984". This was from a tech TV show called Database and the presenters demonstrated what it took to actually send an email back in those days.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/email-existed-before-the-world-wide-web/slideshow/51419395.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>QWERTY layout</h4>
                            <p>
                                There are actually two theories. The first says that QWERTY placed common alphabets at a distance from each other to slow typists down. Another theory is that telegraph operators designed it because it was easier to decipher Morse code.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/email-existed-before-the-world-wide-web/slideshow/51419395.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                </div>
                <div class="mbsc-row mbsc-justify-content-between">
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>Digital currency</h4>
                            <p>
                                92% of the world's currency is digital. This means that most of the money you earn exists only on computers and hard drives. This low percentage seems absurd but actually it makes sense considering that most large transactions are done electronically
                                anyway.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/92-per-cent-of-the-worlds-currency-is-digital/slideshow/51419408.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>Free domains</h4>
                            <p>
                                Domain name registrations were free until 1995. This was a huge opportunity for people to own all kinds of do domain names. It was in 1995 that a company called Network Solutions was granted the rights to charge people for domain names.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/domain-name-registrations-were-free-till-1995/slideshow/51419397.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>Data weight</h4>
                            <p>
                                In 1956, 5 megabytes (5MB) of data weighed a ton. It was 1956 when IBM launched RAMAC, the first computer with something like a hard drive that we use today. The whole cabinet weighed over 1000kg and the 5MP data was spread over 50 huge aluminium disks.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/in-1956-5-megabytes-5mb-of-data-weighed-a-ton/slideshow/51419398.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                </div>
                <div class="mbsc-row mbsc-justify-content-between">
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>The Mouse</h4>
                            <p>
                                When the first pointing device was invented in the early 60's by Douglas Engelbart and Bill English, it was called the X-Y Position Indicator for Display Systems. In 1968, Engelbart showed off word processing, graphics, windows, file linking and control
                                using a 'mouse'.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/russia-built-a-computer-that-ran-on-water-in-1936/slideshow/51419406.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>Computer on water</h4>
                            <p>
                                Before the miniaturisation of transistors, computers had a much more visible system of counting and needed some sort of power source to function. Vladimir Lukyanov built something like this in 1936 but he used water to create a computer that solved partial
                                differential equations.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/russia-built-a-computer-that-ran-on-water-in-1936/slideshow/51419406.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                    <div class="mbsc-col-sm-12 mbsc-col-md-4">
                        <mbsc-form-group>
                            <h4>Wikipedia bots</h4>
                            <p>
                                Wikipedia's mission is to make knowledge freely available to anyone. However, anyone with internet can alsoe dit pages – which results in what they call vandalism. The bots keep a track of all changes made and instantly revert back to the 'correct' version.
                            </p>
                            <a class="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/wikipedia-needs-an-army-of-anti-vandal-bots/slideshow/51419401.cms">Read more</a>
                        </mbsc-form-group>
                    </div>
                </div>
            </div>
        </div>
    </div>
</mbsc-page>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Styling for React

Updated on May 17, 2021
Learn More

Mobiscroll ships with components and styling capabilities that you can use to enhance the look and feel of your content.

Use these features on their own or in conjunction with other Mobiscroll components.

Shipping with useful elements, including:

  • Basic typography styling
  • CSS classes you need for creating easily scannable content
  • Page component with approprite margins and paddings
  • Classes for rendering different media types
  • Icon support
  • Multiple theme support


Styling demos available for other frameworks.

Viewing demos & code for

React Styling Styling for React

Styling - Typography

Change demo
Typography
React Typography classes for writing content. Includes styling for H1 - H6, paragraphs, font-weight and text alignment. For React and Next.JS.
Copy code

Styling - Content

Change demo
Content
React Basic typography demo showing off common styling for content. H1, H2, H3, paragraphs and more. For React and Next.JS.
Copy code

Styling - Media

Change demo
Media
React Media styling and positioning examples for images, avatars, videos and more. For React and Next.JS.
Copy code

Styling - Icons

Change demo
Icons
React Sample icon usage in Mobiscroll from a collection of more than 2500 icons including multiple icons sets. For React and Next.JS.
Copy code

Styling - Single column

Change demo
Single column
React Content example in a centered, single-column layout with the help of the grid system. For React and Next.JS.
Copy code

Styling - Content grid

Change demo
Content grid
React 3x3 content grid with summary and link to the full article. Use the grid system to build a responsive layout. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    render() {
        return (
            <mobiscroll.Page theme=" "  themeVariant=" " lang=" ">
                <div className="mbsc-grid mbsc-padding">
                    <div className="mbsc-row mbsc-justify-content-center">
                        <div className="mbsc-col-sm-12 mbsc-col-md-10 mbsc-col-xl-8">
                            <h3>Weird but true facts about technology</h3>
                            <div className="mbsc-row">
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>From fonts to printer ink</h4>
                                        <p>
                                            Changing fonts can save printer ink. People create different kinds of fonts for all kinds of reasons. The theory is, if you use a 'lighter' font, you'll use slightly less ink per page. With this method you'll likely save about 10 per cent ink.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/changing-fonts-can-save-printer-ink/slideshow/51419400.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>Email before the WWW</h4>
                                        <p>
                                            There's an interesting clip on YouTube: "How to send an Email – Database – 1984". This was from a tech TV show called Database and the presenters demonstrated what it took to actually send an email back in those days.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/email-existed-before-the-world-wide-web/slideshow/51419395.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>QWERTY layout</h4>
                                        <p>
                                            There are actually two theories. The first says that QWERTY placed common alphabets at a distance from each other to slow typists down. Another theory is that telegraph operators designed it because it was easier to decipher Morse code.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/email-existed-before-the-world-wide-web/slideshow/51419395.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                            </div>
                            <div className="mbsc-row mbsc-justify-content-between">
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>Digital currency</h4>
                                        <p>
                                            92% of the world's currency is digital. This means that most of the money you earn exists only on computers and hard drives. This low percentage seems absurd but actually it makes sense considering that most large transactions are done electronically
                                            anyway.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/92-per-cent-of-the-worlds-currency-is-digital/slideshow/51419408.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>Free domains</h4>
                                        <p>
                                            Domain name registrations were free until 1995. This was a huge opportunity for people to own all kinds of do domain names. It was in 1995 that a company called Network Solutions was granted the rights to charge people for domain names.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/domain-name-registrations-were-free-till-1995/slideshow/51419397.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>Data weight</h4>
                                        <p>
                                            In 1956, 5 megabytes (5MB) of data weighed a ton. It was 1956 when IBM launched RAMAC, the first computer with something like a hard drive that we use today. The whole cabinet weighed over 1000kg and the 5MP data was spread over 50 huge aluminium disks.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/in-1956-5-megabytes-5mb-of-data-weighed-a-ton/slideshow/51419398.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                            </div>
                            <div className="mbsc-row mbsc-justify-content-between">
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>The Mouse</h4>
                                        <p>
                                            When the first pointing device was invented in the early 60's by Douglas Engelbart and Bill English, it was called the X-Y Position Indicator for Display Systems. In 1968, Engelbart showed off word processing, graphics, windows, file linking and control
                                            using a 'mouse'.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/russia-built-a-computer-that-ran-on-water-in-1936/slideshow/51419406.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>Computer on water</h4>
                                        <p>
                                            Before the miniaturisation of transistors, computers had a much more visible system of counting and needed some sort of power source to function. Vladimir Lukyanov built something like this in 1936 but he used water to create a computer that solved partial
                                            differential equations.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/russia-built-a-computer-that-ran-on-water-in-1936/slideshow/51419406.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                                <div className="mbsc-col-sm-12 mbsc-col-md-4">
                                    <mobiscroll.FormGroup>
                                        <h4>Wikipedia bots</h4>
                                        <p>
                                            Wikipedia's mission is to make knowledge freely available to anyone. However, anyone with internet can alsoe dit pages – which results in what they call vandalism. The bots keep a track of all changes made and instantly revert back to the 'correct' version.
                                        </p>
                                        <a className="mbsc-btn" target="_blank" href="https://economictimes.indiatimes.com/slideshows/tech-life/12-weird-but-true-facts-about-technology/wikipedia-needs-an-army-of-anti-vandal-bots/slideshow/51419401.cms">Read more</a>
                                    </mobiscroll.FormGroup>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </mobiscroll.Page>
        );
    }
}

<div id="content"></div>

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos